# start kafka
/opt/kafka_2.11-0.10.1.1/bin/zookeeper-server-start.sh /opt/kafka_2.11-0.10.1.1/config/zookeeper.properties
/opt/kafka_2.11-0.10.1.1/bin/kafka-server-start.sh /opt/kafka_2.11-0.10.1.1/config/server.properties

# test simple
/opt/kafka_2.11-0.10.1.1/bin/kafka-console-producer.sh --broker-list localhost:9092 --topic order

{"customer":"cust_2","products":[{"name":"prod_0","price":100,"amount":1},{"name":"prod_1","price":110,"amount":2},{"name":"prod_2","price":120,"amount":3}],"latitude":25.12784464028702,"longitude":121.67790455498508}

/opt/kafka_2.11-0.10.1.1/bin/kafka-console-consumer.sh --zookeeper localhost:2181 --topic map --from-beginning

# test aggregate
/opt/kafka_2.11-0.10.1.1/bin/kafka-console-producer.sh --broker-list localhost:9092 --topic order

{"customer":"cust_B","products":[{"name":"prod_a","price":200,"amount":1},{"name":"prod_b","price":110,"amount":2},{"name":"prod_c","price":120,"amount":3}],"latitude":25.12784464028702,"longitude":121.67790455498508}

/opt/kafka_2.11-0.10.1.1/bin/kafka-console-consumer.sh --zookeeper localhost:2181 --topic customer_bill --from-beginning
/opt/kafka_2.11-0.10.1.1/bin/kafka-console-consumer.sh --zookeeper localhost:2181 --topic product_bill --from-beginning

# test window
/opt/kafka_2.11-0.10.1.1/bin/kafka-console-producer.sh --broker-list localhost:9092 --topic order

{"customer":"cust_2","products":[{"name":"prod_0","price":100,"amount":1},{"name":"prod_1","price":110,"amount":2},{"name":"prod_2","price":120,"amount":3}],"latitude":25.12784464028702,"longitude":121.67790455498508}

/opt/kafka_2.11-0.10.1.1/bin/kafka-console-consumer.sh --zookeeper localhost:2181 --topic timeseries --from-beginning


# build app
cd /home/hsiehpinghan/git/tradevan/kafka-stream-demo
./mvnw clean package

# run app
java -jar -Dspring.profiles.active=simple /home/hsiehpinghan/git/tradevan/kafka-stream-demo/target/kafka-stream-demo-1.0.0.jar
java -jar -Dspring.profiles.active=aggregate /home/hsiehpinghan/git/tradevan/kafka-stream-demo/target/kafka-stream-demo-1.0.0.jar




{"customer":"cust_2","products":[{"name":"prod_A","price":100,"amount":1},{"name":"prod_1","price":110,"amount":2},{"name":"prod_C","price":120,"amount":3}],"latitude":25.12784464028702,"longitude":121.61290455498508}
{"customer":"cust_B","products":[{"name":"prod_a","price":200,"amount":2},{"name":"prod_b","price":110,"amount":5},{"name":"prod_c","price":120,"amount":1}],"latitude":25.12684464028702,"longitude":121.65390455498508}
{"customer":"cust_2","products":[{"name":"prod_0","price":100,"amount":1},{"name":"prod_1","price":110,"amount":3},{"name":"prod_A","price":120,"amount":2}],"latitude":25.12384464028702,"longitude":121.64390455498508}
{"customer":"cust_1","products":[{"name":"prod_A","price":100,"amount":1},{"name":"prod_A","price":110,"amount":2},{"name":"prod_C","price":120,"amount":3}],"latitude":25.12124464028702,"longitude":121.63290455498508}
{"customer":"cust_B","products":[{"name":"prod_a","price":200,"amount":2},{"name":"prod_b","price":110,"amount":5},{"name":"prod_c","price":120,"amount":3}],"latitude":25.12634464028702,"longitude":121.62390455498508}
{"customer":"cust_2","products":[{"name":"prod_3","price":100,"amount":1},{"name":"prod_b","price":110,"amount":3},{"name":"prod_A","price":120,"amount":2}],"latitude":25.12014464028702,"longitude":121.63490455498508}
